Bug 856560 - Review Request: pg_journal - Module for sending PostgreSQL log messages directly to the systemd journal
Review Request: pg_journal - Module for sending PostgreSQL log messages direc...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-12 06:25 EDT by Tomasz Torcz
Modified: 2013-05-16 15:18 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-03 08:50:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
misc: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tomasz Torcz 2012-09-12 06:25:40 EDT
Spec URL: http://pipebreaker.pl/dump/pg_journal.spec
SRPM URL: http://pipebreaker.pl/dump/pg_journal-0.1.1-1.fc19.src.rpm
Description: This is a PostgreSQL preload module for 
             sending log messages directly to the systemd journal log.
Fedora Account System Username: ttorcz
Comment 1 Volker Fröhlich 2012-09-30 15:15:52 EDT
BR systemd-devel

I think you should also BR pkgconfig, looking at the Makefile.

Remove %defattr(-,root,root,-), it's the default.

The package contains no copy of the license. Ask upstream to include one.

You're using libdir/pgsql, which belongs to postgresql. postgresql is not required by your package yet.

You can use the name macro in Source0.

You could also consider to leave a version constraint for postgresql-devel and systemd-devel or a hint on which Fedora release this works.
Comment 2 Tomasz Torcz 2012-10-13 07:38:33 EDT
Thank you for picking this review. I'll ask upstream for LICENSE file, in the meantime I've addressed your remarks.

Spec URL: http://ttorcz.fedorapeople.org/pg_journal.spec
SRPM URL: http://ttorcz.fedorapeople.org/pg_journal-0.1.1-2.fc18.src.rpm
Scratch : http://koji.fedoraproject.org/koji/taskinfo?taskID=4587167
Comment 3 Tomasz Torcz 2012-11-28 09:02:28 EST
Ping?
Comment 4 Tomasz Torcz 2013-01-04 15:17:11 EST
Hello? I've fixed all the issues, I believe review can be approved, can't it?
Comment 5 Michael Scherer 2013-01-23 07:36:51 EST
Let's take a look
Comment 6 Michael Scherer 2013-01-23 08:02:58 EST
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed

===== Issues =====
- %build honors applicable compiler flags or justifies otherwise.
The compiler options (especially the hardening options) are not used, and guidelines recommend them
( unless I am wrong ). Is there some trick ( like postgresql taking care of this by itself )

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in
     /home/misc/checkout/git/FedoraReview/856560-pg_journal/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: pg_journal-0.1.1-2.fc18.x86_64.rpm
pg_journal.x86_64: W: spelling-error Summary(en_US) systemd -> systems, system, system d
pg_journal.x86_64: W: spelling-error %description -l en_US preload -> reload, p reload, freeload
pg_journal.x86_64: W: spelling-error %description -l en_US systemd -> systems, system, system d
1 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint pg_journal
pg_journal.x86_64: W: spelling-error Summary(en_US) systemd -> systems, system, system d
pg_journal.x86_64: W: spelling-error %description -l en_US preload -> reload, p reload, freeload
pg_journal.x86_64: W: spelling-error %description -l en_US systemd -> systems, system, system d
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
pg_journal (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libsystemd-journal.so.0()(64bit)
    libsystemd-journal.so.0(LIBSYSTEMD_JOURNAL_38)(64bit)
    postgresql
    rtld(GNU_HASH)



Provides
--------
pg_journal:
    pg_journal
    pg_journal(x86-64)
    pg_journal.so()(64bit)



Unversioned so-files
--------------------
pg_journal: /usr/lib64/pgsql/pg_journal.so

MD5-sum check
-------------
https://github.com/downloads/intgr/pg_journal/pg_journal-0.1.1.tar.gz :
  CHECKSUM(SHA256) this package     : efb0019535a38d03d55edf6235213cb9d6d40d26e0816cd7ca346c74061c4889
  CHECKSUM(SHA256) upstream package : efb0019535a38d03d55edf6235213cb9d6d40d26e0816cd7ca346c74061c4889


Generated by fedora-review 0.2.0 (Unknown) last change: Unknown
Buildroot used: fedora-18-x86_64
Command line :./try-fedora-review -b 856560
Comment 7 Marti Raudsepp 2013-01-23 13:18:43 EST
(In reply to comment #6)
> - %build honors applicable compiler flags or justifies otherwise.
> The compiler options (especially the hardening options) are not used, and
> guidelines recommend them
> ( unless I am wrong ). Is there some trick ( like postgresql taking care of
> this by itself )

Did you check the gcc command lines generated by make? It should automatically pick up whatever compiler flags were used to build PostgreSQL from /usr/lib/postgresql/pgxs/src/Makefile.global (or wherever it is located in Fedora)
Comment 8 Michael Scherer 2013-01-23 16:18:55 EST
Indeed, so I guess the package is good. I would add a comment for the %build issue, so if there is someone checking, he will not do the same error as me, but that can be done later.
Comment 9 Tomasz Torcz 2013-01-24 05:51:35 EST
New Package SCM Request
=======================
Package Name: pg_journal
Short Description: PostgreSQL module for sending log messages to the systemd journal
Owners: ttorcz
Branches: f18
Comment 10 Gwyn Ciesla 2013-01-24 08:27:39 EST
Git done (by process-git-requests).
Comment 11 Fedora Update System 2013-01-24 08:58:59 EST
pg_journal-0.1.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pg_journal-0.1.1-2.fc18
Comment 12 Fedora Update System 2013-01-25 16:31:25 EST
pg_journal-0.1.1-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 13 Fedora Update System 2013-02-03 08:50:41 EST
pg_journal-0.1.1-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 14 Marti Raudsepp 2013-05-16 15:18:45 EDT
Not sure if this is the appropriate medium, but I (upstream) have released a new version 0.2.0.

Binaries: https://bitbucket.org/intgr/pg_journal/downloads

Changelog: 
* `SYSLOG_IDENTIFIER` is now set from the `syslog_ident` GUC variable, rather than process title, which changes. Makes journalctl output prettier.
* Fix build with PostgreSQL 9.3 and later.
* Add new fields SCHEMA, TABLE, COLUMN, DATATYPE, CONSTRAINT, introduced in PostgreSQL 9.3.

Note You need to log in before you can comment on or make changes to this bug.